﻿.contact-title{
    margin-top: 96px;
    width: 100%;
    height: 96px;
    line-height: 96px;
    font-size: 18px;
    color: #888888;
    transform: skew(-8deg);
    font-weight: bold;
}
.contact-ps-title{
    font-size: 16px;
    color: #fff;
    transform: skew(-8deg);
}
.contact-ps-p{
    font-size: 14px;
    color: #FFF;
    padding-bottom: 2px;

}
.contact-ps-p span{
    color: #ff2e2e;
    font-size: 14px;
}

.contact-info-form{
    margin-top: 45px;
}
.contact-form-list-title{
    font-size: 14px;
    color: #FFF;
    padding-bottom: 5px;
}
.contact-form-list-title span{
    color: #00b7ee;
    font-size: 12px;
}
.contact-form-list{
    margin-bottom: 25px;
    position: relative;
}


.contact-form-radio-list{
    margin-top: 10px;

}
.contact-form-text{
    width: 500px;
    max-width: 100%;
    display: block;
    border: 1px solid #d1d1d1;
    padding-left: 5px;
    box-sizing: border-box;
    height: 46px;
}
.contact-form-text:focus,
.contact-form-list-textarea:focus,
.input-search:focus{
    background-color:#dfdfdf; 
}
.contact-form-list-upload{
    font-size: 20px;
    background-color: #00b7ee;
    padding: 10px;
    cursor: pointer;
    transition: all .3s linear;
}
.contact-form-list-upload .fas{
    margin-left: 10px
}
.contact-form-list-textarea{
    width: 500px;
    max-width: 100%;
    height: 200px;
    border: 1px solid #d1d1d1;
    padding-left: 5px;
    box-sizing: border-box;
    resize: none;
}

button{
    font-family: "微軟正黑體","Microsoft JhengHei";
}
.contact-form-select{
    width: 100%;
    height: 40px;
    box-sizing: border-box;
    border: 1px solid #555;
    display: block;
    margin-top: 10px;
    letter-spacing: 2px;
    padding-left: 10px;
    color: #555;
    position: relative;
    -webkit-appearance: none; /*Chrome*/
    -moz-appearance: none; /*FF*/
    appearance: none;/*CSS3*/
}
.contact-form-select-box{
    position: relative;
}
.contact-form-select-box:after{
    content: 'none';
    font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 12px solid #555;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    right: 10px;
    top: 15px;
    pointer-events: none;
}
.contact-form-select-box:before{
    content: 'none';
    font-size: 0;
    width: 40px;
    height: 100%;
    display: block;
    border-left: 1px solid #555;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}

.contact-checkbox-lable input:checked + span:before{
    background-image: url(../img/front/checked.png);
    background-repeat: no-repeat;
    background-size: 80%;
    background-position: center;
}
.contact-bg-box{
    width: calc(100% - 384px);
    height: 100vh;
    display: block;
    position: fixed;
    pointer-events: none;
    top: 0;
    right: 0;
    opacity: .1;
}
.contact-bg{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url(../img/front/b1.jpg);
}

.button button{
    width: 192px;
    max-width: 100%;
    display: block;
    height: 60px;
    font-family: "微軟正黑體";
    padding: 0 20px;
    box-sizing: border-box;
    position: relative;
    background-color: #0193bf;
    border: 0;
    text-align: left;
    cursor: pointer;
    transition: all .8s ease;
}

.button-p{
    font-size: 26px;
    color: #FFF;
    font-weight: bold;
    transform: skew(-8deg);
    transition: all .5s ease;
}
.button-icon{
    font-size: 26px;
    color: #FFF;
    font-weight: bold;
    transform: skew(-8deg);
    position: absolute;
    top: calc(50% - 17.5px);
    right: 1px;
    transition: all .5s ease;
}

.description{
    height: 150px;
}
#contact .index-right-box{
    overflow-y: auto;
}
.contact-block{
    margin-bottom: 100px
}
/*表單送出*/
.contact-thanks-box,
.alert-box{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
    background-color: #000;
    position: relative;
    padding: 80px;
    z-index: 6;
}

.alert-info-box{
    position: relative;
}
.contact-thanks-p{
    font-size: 26px;
    line-height: 1.6;
    letter-spacing: 2px;
    font-weight: bold;
    color: #FFF;
    display: block;
}
.contact-out,
.alert-out{
    width: 20px;
    height: 20px;
    max-width: 100%;
    display: block;
    position: absolute;
    border-radius: 50%;
    border: 1px solid #FFF;
    top: 4%;
    right: 4%;
    cursor: pointer;
}
.contact-out span,
.alert-out span{
    width: 15px;
    height: 1px;
    background-color: #FFF;
    display: block;
    margin: 0 auto;
    position: relative;
}
.alert-out{
    z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
    top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
    width: 100%;
    height: 100vh;
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.3);
}

.contact-radio{
    position: absolute;
    top: 40px;
    pointer-events: none;
    opacity: 0;
}
.contact-left-class-list{
    width: 500px;
    max-width: 100%;
    border-bottom: 1px solid #fff;
    position: relative;
    cursor: pointer;
    z-index: 1;
}
.contact-checkbox-area{
    width: 500px;
    max-width: 100%;
    font-size: 0;
}
.contact-left-class-list-title{
    font-size: 20px;
    color: #fff;
    position: relative;
    padding:5px 0px;
    padding-left: 10px;
}
.contact-left-class-list-title-box{
    transition: all .3s linear;
}
.contact-left-class-list-title-box:hover,
.contact-left-class-list-title-box.active{
    background-color: #00b7ee;
}
.contact-left-class-list-title-box:hover .contact-left-class-list-title:after,
.contact-left-class-list-title-box.active .contact-left-class-list-title:after{
    border-top: 10px solid #fff;
}
.contact-checkbox-list{
    width: calc( 100% / 6 - 1px );
    display: inline-block;
    cursor: pointer;
    border:1px solid transparent;
    box-sizing: border-box;
    transition: all .3s linear;
}
.contact-checkbox-list:hover{
    border:1px solid #00b7ee
}
.contact-checkbox-list span{
    color: #fff;
}
.contact-left-class-list-title:after{
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 8px solid transparent;
    border-top: 10px solid #00b7ee;
    border-left: 8px solid transparent;
    display: block;
    position: absolute;
    top: calc(50% - 5px);
    right: 10px;
    transition: all .5s ease;
}
.contact-s-class-list-box{
    display: none;
    position: absolute;
    width: 100%;
}
.contact-left-picture-list{
    position: relative;
    z-index: 0;
}
.contact-img-other-update-list-block {
    width: 500px;
    height: 300px;
    position: relative;
    display: block;
    padding: 39px;
    box-sizing: border-box;
    border: 1px solid #fff;
    margin-top: 15px;
    max-width: 100%;

}
.contact-hover{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;

    transition: all .3s linear;
    box-sizing: border-box;
    padding: 39px;
    display: block;
}
.contact-hover span{
    width: 100%;
    height: 100%;
    background-color: transparent;
    display: block;
}
.contact-img-other-update-list-block:hover .contact-hover{
    /* transform: scale(1); */
    padding: 0;
}
.contact-img-other-update-list-block:hover .contact-hover span{
    /* transform: scale(1); */
    background-color: #00b7ee;
}
.contact-form-file{
    position: absolute;
    opacity: 0;
    left: 0;
    pointer-events: none;
}
.contact-img-update-bg-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
    overflow: hidden;
    cursor: pointer;

}

.contact-img-update-bg {
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    z-index: 1;
    transition: all .5s ease;
}
.contact-img-update-list-info-box {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    z-index: 1;
    background-color: rgba(0,0,0,0.8);
    border: 1px solid #00b7ee;
    /* box-sizing: border-box; */
    cursor: pointer;
    top: 0;
    left: 0;
}

.contact-img-update-list-info {
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    -webkit-flex-direction: column;
    justify-content: center;
    -webkit-justify-content: center;
    align-items: center;
    -webkit-align-items: center;
    font-size: 14px;
    letter-spacing: 2px;
    color: #FFF;
    cursor: pointer;
}
.contact-img-update-list-info p{
    padding-bottom: 10px;
}
.contact-img-update-list-info i {
    font-size: 24px;
}
.fancybox-box{
    position: fixed;
    display: none;
    top: calc( 100% / 2 - 350px );
    right: calc( 100% / 2 - 400px );
}
.fancybox-box.active{
    display: block;
}

.contact-checkbox {
    display:none;
}

.contact-checkbox + label {
    color:#f2f2f2;
    cursor: pointer;
    font-size: 14px;
    padding: 5px 10px;
    box-sizing: border-box;
    display: inline-block;
    width: 100%;
}

.contact-checkbox + label span {
    display:inline-block;
    width:13px;
    height:13px;
    margin:-2px 10px 0 0;
    vertical-align:middle;
    background-color: #fff;
    cursor:pointer;
    position: relative;
}

.contact-checkbox:checked + label span:before,
.contact-checkbox:checked + label span:after{
    display: block;
}
.contact-checked:before {
    content: '';
    background-color: #00b7ee;
    width: 5px;
    height: 2px;
    position: absolute;
    top: 4px;
    left: 1px;
    border-radius: 5px;
    transform-origin: 0% 50%;
    transform: rotateZ(50deg);
    display: none;
}
.contact-checked:after {
    content: '';
    background-color: #00b7ee;
    width: 12px;
    height: 2px;
    position: absolute;
    top: 1px;
    right: 1px;
    border-radius: 5px;
    transform-origin: 100% 50%;
    transform: rotateZ(-45deg);
    display: none;
}

@media only screen and (min-width: 1000px){
    .contact-title{
        animation: fadeInRight2 .8s ease-out 0s 1 both;
    }
    .contact-ps-box{
        animation: fade .8s ease .2s 1 both;
    }
    .contact-info-form{
        animation: fadeInUp .8s ease .4s 1 both;
    }
}
@media only screen and (max-width: 1820px){

    .contact-title{
        margin-top: 79px;
        line-height: 80px;
        height: 80px;
    }
    .contact-ps-title,
    .contact-ps-p{
        padding-bottom: 5px;
    }
}
@media only screen and (max-width: 1525px){
    .contact-title{
        margin-top: 84px;
        height: 85px;
        line-height: 85px;
    }
}
@media only screen and (max-width: 1199px){
    .contact-title{
        margin-top: 0;
    }
    .contact-title{
        height: inherit;
        line-height: inherit;
        padding-bottom: 20px;
    }
    .contact-bg-box{
        width: 100%;
    }
}

@media only screen and (max-width: 550px){
    .contact-thanks, .alert-info{
        width: 95%;
        box-sizing: border-box;
        margin: 0 auto;
    }
    .contact-thanks-p{
        font-size: 20px;
    }
    .contact-checkbox-list{
        width: calc( 100% / 4 - 1px );
    }
}

